﻿using System.Data;
using System;

/*************************************************************************
 ** 
 **  Global Variables and defines
 **
 *************************************************************************/
namespace BiDiBLibBeispiel
{
    static class GlobalStatus
    {
        private static string _logFile = "";
        private static string _logActive = "";
        private static bool _log;
        private static byte _resetSend = 0;
        private static int _msgtail;
        private static int _msghead;
        private static int _msgfirst;
        private static bool _escape_hot;
        private static bool _simulation;

        public static bool log
        {
            get { return _log; }
            set { _log = value; }
        }

        public static bool simulation
        {
            get { return _simulation; }
            set { _simulation = value; }
        }
        public static bool escape_hot
        {
            get { return _escape_hot; }
            set { _escape_hot = value; }
        }
        public static int MsgFirst
        {
            get { return _msgfirst; }
            set { _msgfirst = value; }
        }
        public static int MsgTail
        {
            get { return _msgtail; }
            set { _msgtail = value; }
        }
        public static int MsgHead
        {
            get { return _msghead; }
            set { _msghead = value; }
        }
        public static byte ResetSend
        {
            get { return _resetSend; }
            set { _resetSend = value; }
        }

        public static string LogActive
        {
            get { return _logActive; }
            set { _logActive = value; }
        }

        public static string LogFile
        {
            get { return _logFile; }
            set { _logFile = value; }
        }
    }
    static class GlobalMsg
    {
        private static byte[] _msg = new byte[256];
        private static byte _msglen;
        private static int _msgstart;
        private static byte _msgclen;
        private static byte _bflag; // 1 = Next Byte is the begin of a new message
        private static byte _msgtype;
        private static byte _msgnum;
        private static byte _adr1;
        private static byte _adr2;
        private static byte _adr3;
        private static byte _adr4;
        private static byte _crc;
        private static int _GodMsg;


        public static byte[] Msg
        {
            get { return _msg; }
            set { _msg = value; }
        }


        public static int MsgStart
        {
            get { return _msgstart; }
            set { _msgstart = value; }
        }
        public static int MsgGod
        {
            get { return _GodMsg; }
            set { _GodMsg = value; }
        }
        public static byte MsgCrc
        {
            get { return _crc; }
            set { _crc = value; }
        }
        public static byte BFlag
        {
            get { return _bflag; }
            set { _bflag = value; }
        }
        public static byte MsgCLen
        {
            get { return _msgclen; }
            set { _msgclen = value; }
        }
        public static byte MsgLen
        {
            get { return _msglen; }
            set { _msglen = value; }
        }

        public static byte MsgType
        {
            get { return _msgtype; }
            set { _msgtype = value; }
        }

        public static byte MsgNum
        {
            get { return _msgnum; }
            set { _msgnum = value; }
        }

        public static byte MsgAdr1
        {
            get { return _adr1; }
            set { _adr1 = value; }
        }
        public static byte MsgAdr2
        {
            get { return _adr2; }
            set { _adr2 = value; }
        }
        public static byte MsgAdr3
        {
            get { return _adr3; }
            set { _adr3 = value; }
        }
        public static byte MsgAdr4
        {
            get { return _adr4; }
            set { _adr4 = value; }
        }
    }

}